Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.qms.prequeue
Class LiveJobPreQueue

    java.lang.Object
      lbg.peer.core.qms.prequeue.JobPreQueue
          lbg.peer.core.qms.prequeue.LiveJobPreQueue

All Implemented Interfaces:
  java.lang.Runnable

    public class LiveJobPreQueue

extends JobPreQueue
implements java.lang.Runnable

Nested Class Summary

Nested classes/interfaces inherited from class lbg.peer.core.qms.prequeue.JobPreQueue
`JobPreQueue.RequestHolder`

Constructor Summary
`LiveJobPreQueue(Peer managed_peer, Scheduler scheduler, boolean enable_ttg)`

Method Summary
`void` | `run()` Runnable implementation.
`int` | `size()`
`void` | `startService()`
`java.lang.String` | `toString()`
`protected void` | `transferJob(JobPreQueue.RequestHolder req)`

Methods inherited from class lbg.peer.core.qms.prequeue.JobPreQueue
`actuallyTransferJob, transferLocalJobToQMS, transferSupplyingTaskToQMS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveJobPreQueue

    public LiveJobPreQueue(Peer managed_peer,
                           Scheduler scheduler,
                           boolean enable_ttg)
                    throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JobPreQueue`

### startService

    public void startService()
                      throws GridException

  Throws:
    `GridException`

### run

    public void run()

  Runnable implementation.

  Specified by:
    `run` in interface `java.lang.Runnable`

### size

    public int size()

  Specified by:
    `size` in class `JobPreQueue`
  Returns:
    JobPreQueue size

### transferJob

    protected void transferJob(JobPreQueue.RequestHolder req)
                        throws GridException

  Specified by:
    `transferJob` in class `JobPreQueue`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.